Commit aa4981b1 authored by Matho's avatar Matho
Browse files

Increase carrierwave and refinerycms min version

parent 989c2ce2
...@@ -4,10 +4,10 @@ gem "refinerycms-authentication-devise", '~> 1.0.4' ...@@ -4,10 +4,10 @@ gem "refinerycms-authentication-devise", '~> 1.0.4'
gemspec gemspec
gem 'refinerycms', '~> 3.0.5' gem 'refinerycms', '~> 3.0.6'
group :development, :test do group :development, :test do
gem 'refinerycms-testing', '~> 3.0.5' gem 'refinerycms-testing', '~> 3.0.6'
end end
# Add the default visual editor, for now. # Add the default visual editor, for now.
......
PATH PATH
remote: . remote: .
specs: specs:
refinerycms-photo-gallery (0.2.0) refinerycms-photo-gallery (0.3.0)
carrierwave (= 0.6.2) carrierwave (~> 1.3.1)
mime-types mime-types
mini_exiftool mini_exiftool
mini_magick (>= 4.9.4) mini_magick (>= 4.9.4)
rack (>= 1.6.11) rack (>= 1.6.11)
refinerycms-core (~> 3.0.5) refinerycms-core (~> 3.0.6)
GEM GEM
remote: https://rubygems.org/ remote: https://rubygems.org/
...@@ -48,14 +48,14 @@ GEM ...@@ -48,14 +48,14 @@ GEM
thread_safe (~> 0.3, >= 0.3.4) thread_safe (~> 0.3, >= 0.3.4)
tzinfo (~> 1.1) tzinfo (~> 1.1)
acts_as_indexed (0.8.3) acts_as_indexed (0.8.3)
addressable (2.5.0) addressable (2.7.0)
public_suffix (~> 2.0, >= 2.0.2) public_suffix (>= 2.0.2, < 5.0)
arel (6.0.3) arel (6.0.4)
awesome_nested_set (3.0.3) awesome_nested_set (3.0.3)
activerecord (>= 4.0.0, < 5) activerecord (>= 4.0.0, < 5)
babosa (1.0.2) babosa (1.0.3)
bcrypt (3.1.11) bcrypt (3.1.11)
builder (3.2.2) builder (3.2.3)
capybara (2.4.4) capybara (2.4.4)
mime-types (>= 1.16) mime-types (>= 1.16)
nokogiri (>= 1.3.3) nokogiri (>= 1.3.3)
...@@ -65,22 +65,24 @@ GEM ...@@ -65,22 +65,24 @@ GEM
capybara-screenshot (1.0.14) capybara-screenshot (1.0.14)
capybara (>= 1.0, < 3) capybara (>= 1.0, < 3)
launchy launchy
carrierwave (0.6.2) carrierwave (1.3.1)
activemodel (>= 3.2.0) activemodel (>= 4.0.0)
activesupport (>= 3.2.0) activesupport (>= 4.0.0)
mime-types (>= 1.16)
cliver (0.3.2) cliver (0.3.2)
coderay (1.1.1) coderay (1.1.1)
coffee-rails (4.2.1) coffee-rails (4.2.2)
coffee-script (>= 2.2.0) coffee-script (>= 2.2.0)
railties (>= 4.0.0, < 5.2.x) railties (>= 4.0.0)
coffee-script (2.4.1) coffee-script (2.4.1)
coffee-script-source coffee-script-source
execjs execjs
coffee-script-source (1.12.2) coffee-script-source (1.12.2)
concurrent-ruby (1.0.3) concurrent-ruby (1.1.5)
crass (1.0.5)
database_cleaner (1.3.0) database_cleaner (1.3.0)
decorators (2.0.2) decorators (2.0.5)
railties (>= 4.0.0, < 5.1) railties (>= 4.0.0, < 7)
devise (3.5.10) devise (3.5.10)
bcrypt (~> 3.0) bcrypt (~> 3.0)
orm_adapter (~> 0.1) orm_adapter (~> 0.1)
...@@ -88,12 +90,12 @@ GEM ...@@ -88,12 +90,12 @@ GEM
responders responders
thread_safe (~> 0.1) thread_safe (~> 0.1)
warden (~> 1.2.3) warden (~> 1.2.3)
diff-lcs (1.2.5) diff-lcs (1.3)
diffy (3.1.0) diffy (3.1.0)
dragonfly (1.0.12) dragonfly (1.1.5)
addressable (~> 2.3) addressable (~> 2.3)
multi_json (~> 1.0) multi_json (~> 1.0)
rack (>= 1.3.0) rack (>= 1.3)
erubis (2.7.0) erubis (2.7.0)
execjs (2.7.0) execjs (2.7.0)
factory_girl (4.5.0) factory_girl (4.5.0)
...@@ -101,26 +103,30 @@ GEM ...@@ -101,26 +103,30 @@ GEM
factory_girl_rails (4.6.0) factory_girl_rails (4.6.0)
factory_girl (~> 4.5.0) factory_girl (~> 4.5.0)
railties (>= 3.0.0) railties (>= 3.0.0)
ffi (1.11.1)
font-awesome-sass (4.7.0) font-awesome-sass (4.7.0)
sass (>= 3.2) sass (>= 3.2)
friendly_id (5.1.0) friendly_id (5.1.0)
activerecord (>= 4.0.0) activerecord (>= 4.0.0)
globalid (0.3.7) globalid (0.3.7)
activesupport (>= 4.1.0) activesupport (>= 4.1.0)
globalize (5.0.1) globalize (5.1.0)
activemodel (>= 4.2.0, < 4.3) activemodel (>= 4.2, < 5.2)
activerecord (>= 4.2.0, < 4.3) activerecord (>= 4.2, < 5.2)
i18n (0.7.0) request_store (~> 1.0)
jquery-rails (4.2.1) i18n (0.9.5)
concurrent-ruby (~> 1.0)
jquery-rails (4.3.5)
rails-dom-testing (>= 1, < 3) rails-dom-testing (>= 1, < 3)
railties (>= 4.2.0) railties (>= 4.2.0)
thor (>= 0.14, < 2.0) thor (>= 0.14, < 2.0)
jquery-ui-rails (5.0.5) jquery-ui-rails (5.0.5)
railties (>= 3.2.16) railties (>= 3.2.16)
json (1.8.3) json (1.8.6)
launchy (2.4.3) launchy (2.4.3)
addressable (~> 2.3) addressable (~> 2.3)
loofah (2.0.3) loofah (2.3.1)
crass (~> 1.0.2)
nokogiri (>= 1.5.9) nokogiri (>= 1.5.9)
mail (2.6.4) mail (2.6.4)
mime-types (>= 1.16, < 4) mime-types (>= 1.16, < 4)
...@@ -130,11 +136,11 @@ GEM ...@@ -130,11 +136,11 @@ GEM
mime-types-data (3.2016.0521) mime-types-data (3.2016.0521)
mini_exiftool (2.9.1) mini_exiftool (2.9.1)
mini_magick (4.9.5) mini_magick (4.9.5)
mini_portile2 (2.1.0) mini_portile2 (2.4.0)
minitest (5.10.1) minitest (5.13.0)
multi_json (1.12.1) multi_json (1.14.1)
nokogiri (1.6.8.1) nokogiri (1.10.5)
mini_portile2 (~> 2.1.0) mini_portile2 (~> 2.4.0)
orm_adapter (0.5.0) orm_adapter (0.5.0)
pg (0.19.0) pg (0.19.0)
poltergeist (1.12.0) poltergeist (1.12.0)
...@@ -145,18 +151,18 @@ GEM ...@@ -145,18 +151,18 @@ GEM
coderay (~> 1.1.0) coderay (~> 1.1.0)
method_source (~> 0.8.1) method_source (~> 0.8.1)
slop (~> 3.4) slop (~> 3.4)
public_suffix (2.0.4) public_suffix (4.0.1)
rack (1.6.11) rack (1.6.11)
rack-test (0.6.3) rack-test (0.6.3)
rack (>= 1.0) rack (>= 1.0)
rails-deprecated_sanitizer (1.0.3) rails-deprecated_sanitizer (1.0.3)
activesupport (>= 4.2.0.alpha) activesupport (>= 4.2.0.alpha)
rails-dom-testing (1.0.7) rails-dom-testing (1.0.9)
activesupport (>= 4.2.0.beta, < 5.0) activesupport (>= 4.2.0, < 5.0)
nokogiri (~> 1.6.0) nokogiri (~> 1.6)
rails-deprecated_sanitizer (>= 1.0.1) rails-deprecated_sanitizer (>= 1.0.1)
rails-html-sanitizer (1.0.3) rails-html-sanitizer (1.3.0)
loofah (~> 2.0) loofah (~> 2.3)
rails-i18n (4.0.9) rails-i18n (4.0.9)
i18n (~> 0.7) i18n (~> 0.7)
railties (~> 4.0) railties (~> 4.0)
...@@ -165,18 +171,21 @@ GEM ...@@ -165,18 +171,21 @@ GEM
activesupport (= 4.2.7.1) activesupport (= 4.2.7.1)
rake (>= 0.8.7) rake (>= 0.8.7)
thor (>= 0.18.1, < 2.0) thor (>= 0.18.1, < 2.0)
rake (12.0.0) rake (13.0.0)
refinerycms (3.0.5) rb-fsevent (0.10.3)
refinerycms-core (= 3.0.5) rb-inotify (0.10.0)
refinerycms-images (= 3.0.5) ffi (~> 1.0)
refinerycms-pages (= 3.0.5) refinerycms (3.0.6)
refinerycms-resources (= 3.0.5) refinerycms-core (= 3.0.6)
refinerycms-images (= 3.0.6)
refinerycms-pages (= 3.0.6)
refinerycms-resources (= 3.0.6)
refinerycms-authentication-devise (1.0.4) refinerycms-authentication-devise (1.0.4)
actionmailer (~> 4.2, >= 4.2.0) actionmailer (~> 4.2, >= 4.2.0)
devise (~> 3.0, >= 3.2.4) devise (~> 3.0, >= 3.2.4)
friendly_id (~> 5.1.0) friendly_id (~> 5.1.0)
refinerycms-core (~> 3.0, >= 3.0.0) refinerycms-core (~> 3.0, >= 3.0.0)
refinerycms-core (3.0.5) refinerycms-core (3.0.6)
actionpack (>= 4.2.3, < 5.0) actionpack (>= 4.2.3, < 5.0)
activerecord (>= 4.2.3, < 5.0) activerecord (>= 4.2.3, < 5.0)
awesome_nested_set (~> 3.0.0) awesome_nested_set (~> 3.0.0)
...@@ -191,82 +200,88 @@ GEM ...@@ -191,82 +200,88 @@ GEM
truncate_html (~> 0.9) truncate_html (~> 0.9)
will_paginate (~> 3.0.2) will_paginate (~> 3.0.2)
zilch-authorisation zilch-authorisation
refinerycms-i18n (3.0.1) refinerycms-i18n (3.0.2)
rails-i18n (~> 4.0.1) rails-i18n (~> 4.0.1)
routing-filter (>= 0.4.0) routing-filter (>= 0.4.0)
refinerycms-images (3.0.5) refinerycms-images (3.0.6)
dragonfly (~> 1.0.0) dragonfly (~> 1.1.0)
globalize (>= 4.0.0, < 5.2) globalize (>= 4.0.0, < 5.2)
refinerycms-core (= 3.0.5) refinerycms-core (= 3.0.6)
refinerycms-pages (3.0.5) refinerycms-pages (3.0.6)
awesome_nested_set (~> 3.0.0) awesome_nested_set (~> 3.0.0)
babosa (!= 0.3.6) babosa (!= 0.3.6)
diffy (~> 3.1.0) diffy (~> 3.1.0)
friendly_id (>= 5.1.0, < 5.3) friendly_id (>= 5.1.0, < 5.3)
globalize (>= 4.0.0, < 5.2) globalize (>= 4.0.0, < 5.2)
refinerycms-core (= 3.0.5) refinerycms-core (= 3.0.6)
seo_meta (~> 2.0.0.rc.1) seo_meta (~> 2.0.0.rc.1)
speakingurl-rails (~> 8.0.0) speakingurl-rails (~> 8.0.0)
refinerycms-resources (3.0.5) refinerycms-resources (3.0.6)
acts_as_indexed (~> 0.8.0) acts_as_indexed (~> 0.8.0)
dragonfly (~> 1.0.0) dragonfly (~> 1.1.0)
globalize (>= 4.0.0, < 5.2) globalize (>= 4.0.0, < 5.2)
refinerycms-core (= 3.0.5) refinerycms-core (= 3.0.6)
refinerycms-testing (3.0.5) refinerycms-testing (3.0.6)
capybara (~> 2.4.3) capybara (~> 2.4.3)
database_cleaner (~> 1.3.0) database_cleaner (~> 1.3.0)
factory_girl_rails (~> 4.6.0) factory_girl_rails (~> 4.6.0)
refinerycms-core (= 3.0.5) refinerycms-core (= 3.0.6)
rspec-rails (~> 3.0) rspec-rails (~> 3.0)
refinerycms-wymeditor (1.1.0) refinerycms-wymeditor (1.1.0)
refinerycms-core (>= 3.0.0, < 5.0) refinerycms-core (>= 3.0.0, < 5.0)
request_store (1.4.1)
rack (>= 1.4)
responders (2.3.0) responders (2.3.0)
railties (>= 4.2.0, < 5.1) railties (>= 4.2.0, < 5.1)
routing-filter (0.6.0) routing-filter (0.6.3)
actionpack (>= 4.2, < 5.1) actionpack (>= 4.2)
activesupport (>= 4.2, < 5.1) activesupport (>= 4.2)
rspec-core (3.5.4) rspec-core (3.9.0)
rspec-support (~> 3.5.0) rspec-support (~> 3.9.0)
rspec-expectations (3.5.0) rspec-expectations (3.9.0)
diff-lcs (>= 1.2.0, < 2.0) diff-lcs (>= 1.2.0, < 2.0)
rspec-support (~> 3.5.0) rspec-support (~> 3.9.0)
rspec-mocks (3.5.0) rspec-mocks (3.9.0)
diff-lcs (>= 1.2.0, < 2.0) diff-lcs (>= 1.2.0, < 2.0)
rspec-support (~> 3.5.0) rspec-support (~> 3.9.0)
rspec-rails (3.5.2) rspec-rails (3.9.0)
actionpack (>= 3.0) actionpack (>= 3.0)
activesupport (>= 3.0) activesupport (>= 3.0)
railties (>= 3.0) railties (>= 3.0)
rspec-core (~> 3.5.0) rspec-core (~> 3.9.0)
rspec-expectations (~> 3.5.0) rspec-expectations (~> 3.9.0)
rspec-mocks (~> 3.5.0) rspec-mocks (~> 3.9.0)
rspec-support (~> 3.5.0) rspec-support (~> 3.9.0)
rspec-support (3.5.0) rspec-support (3.9.0)
sass (3.4.23) sass (3.7.4)
sass-rails (5.0.6) sass-listen (~> 4.0.0)
sass-listen (4.0.0)
rb-fsevent (~> 0.9, >= 0.9.4)
rb-inotify (~> 0.9, >= 0.9.7)
sass-rails (5.0.7)
railties (>= 4.0.0, < 6) railties (>= 4.0.0, < 6)
sass (~> 3.1) sass (~> 3.1)
sprockets (>= 2.8, < 4.0) sprockets (>= 2.8, < 4.0)
sprockets-rails (>= 2.0, < 4.0) sprockets-rails (>= 2.0, < 4.0)
tilt (>= 1.1, < 3) tilt (>= 1.1, < 3)
seo_meta (2.0.0.rc.1) seo_meta (2.0.1)
railties (>= 3.0.0) railties (>= 3.0.0)
slop (3.6.0) slop (3.6.0)
speakingurl-rails (8.0.2) speakingurl-rails (8.0.2)
railties (>= 3.1) railties (>= 3.1)
sprockets (3.7.1) sprockets (3.7.2)
concurrent-ruby (~> 1.0) concurrent-ruby (~> 1.0)
rack (> 1, < 3) rack (> 1, < 3)
sprockets-rails (3.2.0) sprockets-rails (3.2.1)
actionpack (>= 4.0) actionpack (>= 4.0)
activesupport (>= 4.0) activesupport (>= 4.0)
sprockets (>= 3.0.0) sprockets (>= 3.0.0)
sqlite3 (1.3.12) sqlite3 (1.3.12)
thor (0.19.4) thor (0.20.3)
thread_safe (0.3.5) thread_safe (0.3.6)
tilt (2.0.5) tilt (2.0.10)
truncate_html (0.9.3) truncate_html (0.9.3)
tzinfo (1.2.2) tzinfo (1.2.5)
thread_safe (~> 0.1) thread_safe (~> 0.1)
warden (1.2.6) warden (1.2.6)
rack (>= 1.0) rack (>= 1.0)
...@@ -290,10 +305,10 @@ DEPENDENCIES ...@@ -290,10 +305,10 @@ DEPENDENCIES
pg pg
poltergeist poltergeist
pry pry
refinerycms (~> 3.0.5) refinerycms (~> 3.0.6)
refinerycms-authentication-devise (~> 1.0.4) refinerycms-authentication-devise (~> 1.0.4)
refinerycms-photo-gallery! refinerycms-photo-gallery!
refinerycms-testing (~> 3.0.5) refinerycms-testing (~> 3.0.6)
refinerycms-wymeditor (~> 1.0, >= 1.0.6) refinerycms-wymeditor (~> 1.0, >= 1.0.6)
sass-rails sass-rails
sqlite3 sqlite3
......
...@@ -2,7 +2,7 @@ module Refinery ...@@ -2,7 +2,7 @@ module Refinery
module PhotoGallery module PhotoGallery
class Version class Version
@major = 0 @major = 0
@minor = 2 @minor = 3
@tiny = '0' @tiny = '0'
class << self class << self
......
...@@ -18,13 +18,13 @@ Gem::Specification.new do |s| ...@@ -18,13 +18,13 @@ Gem::Specification.new do |s|
s.test_files = `git ls-files -- spec/*`.split("\n") s.test_files = `git ls-files -- spec/*`.split("\n")
# Runtime dependencies # Runtime dependencies
s.add_dependency 'refinerycms-core', '~> 3.0.5' s.add_dependency 'refinerycms-core', '~> 3.0.6'
s.add_dependency 'mime-types' s.add_dependency 'mime-types'
s.add_dependency 'carrierwave', '0.6.2' s.add_dependency 'carrierwave', '~> 1.3.1'
s.add_dependency 'mini_magick', ">= 4.9.4" s.add_dependency 'mini_magick', ">= 4.9.4"
s.add_dependency 'mini_exiftool' s.add_dependency 'mini_exiftool'
s.add_dependency 'rack', ">= 1.6.11" s.add_dependency 'rack', ">= 1.6.11"
# Development dependencies # Development dependencies
s.add_development_dependency 'refinerycms-testing', '~> 3.0.5' s.add_development_dependency 'refinerycms-testing', '~> 3.0.6'
end end
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment